.ifndef COMMANDS_INC
.equ	COMMANDS_INC=1

;***************************************************************************
;*
;* CONSTANTS
;*	Protocol Definitions
;*
;* DESCRIPTION
;*	This sections defines command bytes for the AVRProg protocol
;*
;***************************************************************************

;commands with parameters
.equ	CMD_ESC               		= 0x1b
.equ	CMD_DEVICE_TYPE       		= 'T'
.equ	CMD_NEW_UNIVERSAL     		= '.' 
.equ	CMD_LOAD_ADDRESS      		= 'A'
.equ	CMD_WRITE_PROG_HIGH   		= 'C'
.equ	CMD_WRITE_PROG_LOW    		= 'c'
.equ	CMD_WRITE_DATA        		= 'D'
.equ	CMD_WRITE_LOCK_BITS   		= 'l'
.equ	CMD_WRITE_MEMORY      		= 'B'
.equ	CMD_READ_MEMORY       		= 'g'
.equ	CMD_SET_LED	      		= 'x'
.equ	CMD_CLR_LED           		= 'y'	
; Commands without parameters
.equ	CMD_WRITE_PROG_PAGE   		= 'm'
.equ	CMD_READ_DATA         		= 'd'
.equ	CMD_READ_PROG         		= 'R'
.equ	CMD_ENTER_PROG_MODE   		= 'P'
.equ	CMD_LEAVE_PROG_MODE   		= 'L'
.equ	CMD_EXIT_UPGRADE      		= 'E' 
.equ	CMD_CHIP_ERASE        		= 'e' 
.equ	CMD_READ_SIGNATURE    		= 's'
; Programmer Status 
.equ	CMD_RETURN_SW_ID      		= 'S'
.equ	CMD_RETURN_SW_VERSION 		= 'V'
.equ	CMD_RETURN_HW_VERSION 		= 'v'
.equ	CMD_RETURN_AUTOINC_SUPPORT 	= 'a'
.equ	CMD_RETURN_BLOCK_WRITE_SUPPORT	= 'b'
.equ	CMD_RETURN_SUPPORTED_DEVICES 	= 't'
.equ	CMD_RETURN_PROGRAMMER_TYPE 	= 'p'
;Command Response Values
.equ	RESP_OK	         		= 0x0d
.equ	RESP_ERR         		= '?'
.equ	RESP_INVALID_CMD 		= '?'

.endif
